Subject: Re: Debugging under SMP problem
From: "Michael V. Nikolaev" <[email-masked]>
To: "Dave Arnold" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Fri, 30 Jun 2000 13:38:40 +0300

I use http://sourceware.cygnus.com/cygwin/snapshots/ to get last stuff.

Best regards,
Michael
----- Original Message ----- 
From: "Dave Arnold" <[email-masked]>
To: "Michael V. Nikolaev" <[email-masked]>; "Cygwin" <[email-masked]>
Sent: 30 ?????? 2000 ?. 1:38
Subject: Re: Debugging under SMP problem

> hi,
> 
> Is there a simple guide to start using CVS to check out the latest
> fixes/changes to cygwin stuff?  I've never used CVS before.
> 
> Can I access it from bash.exe with simple commands?
> A link to a good online tutorial or docs would be useful.
> 
> /dAVe
> 
> -----Original Message-----
> From: Michael V. Nikolaev <[email-masked]>
> To: Cygwin <[email-masked]>
> Date: Thursday, June 29, 2000 3:14 PM
> Subject: Re: Debugging under SMP problem
> 
> 
> What Cygwin components do you mean? I installed all software from
> sourceware.cygnus.com (directory "latest"). I also tried to solve the
> problem with cygwin1.dll from the CVS snapshot (22-jun-2000). Unfortunately
> with no success. By the way my previous mail contains cygcheck results
> attached.
> 
> Best regards,
> Michael
> ----- Original Message -----
> From: "Chris Faylor" <[email-masked]>
> To: "Cygwin" <[email-masked]>
> Sent: 29 ?????? 2000 ?. 19:16
> Subject: Re: Debugging under SMP problem
> 
> 
> > It sounds like you're not running cygwin 1.1.2.  A bug similar to this
> > was fixed there.
> >
> > cgf
> >
> > On Thu, Jun 29, 2000 at 03:00:13PM +0300, Michael V. Nikolaev wrote:
> > >I have latest Cygwin release installed under Windows NT server 4.0 (SP
> > >6a) with dual Pentium II processors (cygcheck output is attached).
> > >When I trying to debug (with latest gdb) any program (just "main(){}")
> > >I get the following exception:
> > >
> > >Program received signal SIGSEGV, Segmentation fault.
> > >0x77f6ce4c in ?? ()
> > >
> > >The executed instruction is "incl 0x10(%eax)" in NTDLL, and eax == 0.
> > >It is executed when cygwin startup code attempts to load advapi.dll.
> > >The previous instruction loads eax with 0 from memory location (mov
> > >(%esi),%eax).  I was trying to debug this program with Borland
> > >Turbodebugger (td32) - the result is the same.  When being debugged on
> > >another, single-processor PC running WinNT WS SP 6a, all is OK, so I
> > >guess that this is Cygwin1.dll problem with SMP-platforms.
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
> 
>